# Amuse: amuse::BooBackendVoice Class Reference

amuse::BooBackendVoice Class Reference

`#include <BooBackend.hpp>`

Inheritance diagram for amuse::BooBackendVoice:
Collaboration diagram for amuse::BooBackendVoice:

## Public Member Functions

| BooBackendVoice (boo::IAudioVoiceEngine &engine, Voice &clientVox, double sampleRate, bool dynamicPitch)
| BooBackendVoice (boo::IAudioSubmix &submix, Voice &clientVox, double sampleRate, bool dynamicPitch)
void | resetSampleRate (double sampleRate)
void | setMatrixCoefficients (const float coefs[8])
void | setPitchRatio (double ratio, bool slew)
void | start ()
void | stop ()

## Friends

class | BooBackendVoiceAllocator

## Detailed Description

Backend voice implementation for boo mixer

Definition at line 14 of file BooBackend.hpp.

## Member Function Documentation

void amuse::BooBackendVoice::resetSampleRate | ( | double | sampleRate | ) |

virtual

Set new sample rate into platform voice (may result in artifacts while playing)

Implements amuse::IBackendVoice.

void amuse::BooBackendVoice::setMatrixCoefficients | ( | const float | coefs[8] | ) |

virtual

Set channel-gains for audio source (AudioChannel enum for array index)

Implements amuse::IBackendVoice.

void amuse::BooBackendVoice::setPitchRatio | ( | double | ratio,
|  | bool | slew
| ) |  |

virtual

Called by client to dynamically adjust the pitch of voices with dynamic pitch enabled

Implements amuse::IBackendVoice.

void amuse::BooBackendVoice::start | ( |  | ) |

virtual

Instructs platform to begin consuming sample data; invoking callback as needed

Implements amuse::IBackendVoice.

void amuse::BooBackendVoice::stop | ( |  | ) |

virtual

Instructs platform to stop consuming sample data

Implements amuse::IBackendVoice.

The documentation for this class was generated from the following file:

- include/amuse/BooBackend.hpp